# GeneratedKeysMode

Modes of generated keys' gathering.

Methods
static int | valueOf(Object generatedKeysRequest) Determines mode of generated keys' gathering.

static int

valueOf(Object generatedKeysRequest)
Determines mode of generated keys' gathering.
Parameters:
generatedKeysRequest - {@code false} if generated keys are not needed, {@code true} if generated keys should be configured automatically, {@code int[]} to specify column indices to return generated keys from, or {@code String[]} to specify column names to return generated keys from
Returns:
mode for the specified generated keys request

Fields
static int | AUTO = 1
static int | COLUMN_NAMES = 3
static int | COLUMN_NUMBERS = 2
static int | NONE = 0

#### NONE = 0

Generated keys are not needed.

#### AUTO = 1

Generated keys should be configured automatically.

#### COLUMN_NUMBERS = 2

Use specified column indices to return generated keys from.

#### COLUMN_NAMES = 3

Use specified column names to return generated keys from.